FROM node:20.16.0-bullseye AS builder

WORKDIR /usr/src/app
# this will allow us to run vite and other tools directly
ENV PATH /usr/src/node_modules/.bin:$PATH


# inject all environment vars we'll need
ARG VITE_BACKEND_URL
ENV VITE_BACKEND_URL=$VITE_BACKEND_URL

RUN echo "Backend URL is: ${VITE_BACKEND_URL}"

ARG CACHE_BUSTER=1

COPY package.json ./


RUN npm install

COPY . ./

RUN npm run build


FROM nginx:latest AS prod
RUN apt-get update
RUN apt-get upgrade -y
COPY --from=builder /usr/src/app/dist /usr/share/nginx/html
ADD default.conf /etc/nginx/conf.d/default.conf


CMD ["nginx", "-g", "daemon off;"]
